#include <stdint.h>
#define DOGS_SLAVE_ADDRESS 	0x3C	
#define TOP_VIEW			0x0A
#define BOTTOM_VIEW 		0x00
#define FOUR_LINES			0
#define	THREE_LINES_TOP		1
#define THREE_LINES_MID		2
#define THREE_LINES_BOT		3
#define	TWO_LINES			4
#define DOGS_FIRST_ROW		0x80 + 0x00
#define DOGS_SECOND_ROW		0x80 + 0x20	
#define	DOGS_THIRD_ROW		0x80 + 0x40	
#define	DOGS_FOURTH_ROW		0x80 + 0x60

void DOGS_setup(void);
void DOGS_WriteRow(char* line, uint8_t len, uint8_t row);
void DOGS_SetViewMode(uint8_t view, uint8_t lines);
